[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TGridOperationEvent

Defines the event handler signalled when rows or columns are added, deleted or moved in a grid.

## Declaration

Source position: grids.pas line 354

`type TGridOperationEvent = procedure(`
`Sender: TObject;`
`IsColumn: Boolean;`
`sIndex: Integer;`
`tIndex: Integer`
`) of object;`

## Arguments

`Sender` |  | Control for the event notification.
`IsColumn` |  | True when the notification is for a column and not a row.
`sIndex` |  | Starting index position for the row or column.
`tIndex` |  | Final index position for the row or column.

## Description

TGridOperationEvent specifies an event handler signalled when rows or columns are added, deleted or moved in a custom-drawn grid control. TGridOperationEvent is the type used to implement event handler properties in TCustomDrawGrid, including:

- OnColRowDeleted
- OnColRowExchanged
- OnColRowInserted/
- OnColRowMoved

Applications must implement an object procedure using the signature for the event handler to respond to the event notification.

## See also

TCustomDrawGrid.OnColRowDeleted |  | Event handler signalled when a grid column or row is deleted.
TCustomDrawGrid.OnColRowExchanged |  | Event handler signalled when a column or row has been exchanged with another.
TCustomDrawGrid.OnColRowInserted |  | Event handler signalled when a column or row is inserted into the grid.
TCustomDrawGrid.OnColRowMoved |  | Event handler signalled when a column or row in the grid is moved.